# nextcloud-clean-versionned-bucket

This program will remove every object (and all its versions) if on of those conditions is met :
- The last version is a delete-marker.
- It's not referenced in the database (id of filecache).

## Install

```shell
go install libre.sh/tools/nextcloud-clean-versionned-bucket@latest
```
or
```shel
curl https://lab.libreho.st/api/v4/projects/223/packages/generic/nextcloud-clean-versionned-bucket/main/nextcloud-clean-versionned-bucket -o /usr/bin/nextcloud-clean-versionned-bucket
chmod +x /usr/bin/nextcloud-clean-versionned-bucket
```

## Configure

The configuration is done by environment variables.

- S3_ENDPOINT (just the host, ssl is forced)
- S3_ACCESS_KEY
- S3_SECRET_KEY
- S3_BUCKET
- PG_HOST
- PG_PORT
- PG_DB
- PG_USER
- PG_PASS
- PG_TABLE (optional, in some case the table is `oc_filecache` and not `filecache`)

## Usage

```shell
nextcloud-clean-versionned-bucket
```

```shell
nextcloud-clean-versionned-bucket --dry-run
```
